Register Buyer

The Buyer Registration API is used to send Sprinque the details of the buyer (business entity and user details) onboarding with the Merchant. Prefix registration_number value with APPROVE- to receive approved credit assessment and REJECT- to try unhappy path. Example: APPROVE-12345, REJECT-98765

Recipes
🦉
Buyer Onboarding
Open Recipe
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

To achieve the maximum buyer approval rate, here is more information to Increase Auto Approval Rates. We strongly recommend implementing the suggestions and sending the needed data to Sprinque. Ideally, we expect Sprinque Merchant SDK to be used for buyer registration.

Similar to sending the initial_shipping_address, please send us initial_order_amount and initial_order_currency_code. This will improve the manual flow for buyer review, creating a better buyer experience.

NOTE - If you call POST /buyers with the details of a buyer who has already registered with Sprinque, the existing company details will be returned and we will not create a new buyer. Merchant Name + Buyer Company Name + Registration Number is used as a unique set for buyer registration on the Sprinque side.

Body Params
string
required

External Reference ID of the buyer generated by the Marketplace or Merchant.

string
required

Name of the business as registered with the government.

enum
string | null

Special tax number for small businesses. Applicable for Germany only.

string | null

Unique registration number or chamber of commerce number, of the business being onboarded, as mentioned with the country’s government.

date | null

Date the business was registered with the government. Format in YYYY-MM-DD

string | null

VAT number of the business, assigned by the government of that country.

string | null

Billing or Accounts Payable email to which all payment communications are sent

string | null

Business phone number as mentioned during the business registration with the government.

uri

Website URL including the https scheme as mentioned during the business registration with the government.

address
object
required
initial_shipping_address
object
buyer_users
array of objects
required

List of people responsible to the business. Minimum 1 point of contact required.

buyer_users*
metadata
object | null

Metadata is a json object for passing any custom information like the digital footprint of the buyer. This can include fields such as, IP address, browser type etc.

string
enum
  • en - English
  • es - Spanish
  • nl - Dutch
  • de - German
  • fr - French
  • pl - Polish
  • pt - Portuguese
  • it - Italian
string | null

The monetary value of the first order that buyer is going to place.

string | null

Initial Order note currency code in ISO 4217.

Headers
string
required

Sprinque authenticates using API keys.
API Key can be generated on the Sprinque
MCC portal from the “My Account” page.
The same key can be used for all API calls.

Response

Callback
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json